﻿body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.empty-color {
    background-color: #e6e6e6;
}

.page-color {
    background-color: #e6e6e6;
}

:root {
    --primary-color: #f6a12d;
    --primary-color-red-tint: #e5735c;
    --primary-color-red-tint-hover: #db4224;
    --primary-color-green-tint: #6fcf97;
    --primary-color-green-tint-hover: #40bf75;
    --primary-color-hover: #dc8409;
    --primary-color-form: #fef4e7;
    --text-color-dark: #333;
    --text-color-light: #fff;
    --text-background-color-light: #fff;
    --border-box: 1px solid #ccc;
    --border-radius-box: 5px;
    --border-radius-button: 5px;
    --transition-box: box-shadow 0.3s ease-in-out;
    --shadow-store-box-hover: 0 1px 6px rgba(0, 0, 0, 0.2);
    --gap-box: 15px;
    --delete-color: #f44336;
    --alert-red: #f7d7da;
    --alert-blue: #cce6ff;
    --alert-green: #d4edda;
    --alert-gray: #e2e3e5;
    --alert-yellow: #fff3cd;
    --alert-sea: #d1edf1;
    --ribon-font-color: #333;
    --button-text-color: #fff;
    --button-background-color: #f6a12d;
    --button-background-color-transition: background-color 0.3s ease-in-out;
    --order-background-color: white;
    --order-header-size: 23px;
    --historia-parent-background-color: #f9f9f9;
}

/* NavMenu */

.logo-row {
    user-select: none;
    height: 100px;
}

.logo-menu-top {
    user-select: none;
    width: 180px;
}


/* IKONY */

.password-eye {
    display: inline-block;
    width: 20px;
    height: 20px;
    cursor: pointer;
    user-select: none;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    /* szare przekreślone oko */
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23888'%3E%3Cpath d='M13.359 11.238C15.06 9.72 16 8 16 8s-3-5.5-8-5.5a7 7 0 0 0-2.79.588l.77.771A6 6 0 0 1 8 3.5c2.12 0 3.879 1.168 5.168 2.457A13 13 0 0 1 14.828 8q-.086.13-.195.288c-.335.48-.83 1.12-1.465 1.755q-.247.248-.517.486z'/%3E%3Cpath d='M11.297 9.176a3.5 3.5 0 0 0-4.474-4.474l.823.823a2.5 2.5 0 0 1 2.829 2.829zm-2.943 1.299.822.822a3.5 3.5 0 0 1-4.474-4.474l.823.823a2.5 2.5 0 0 0 2.829 2.829'/%3E%3Cpath d='M3.35 5.47q-.27.24-.518.487A13 13 0 0 0 1.172 8l.195.288c.335.48.83 1.12 1.465 1.755C4.121 11.332 5.881 12.5 8 12.5c.716 0 1.39-.133 2.02-.36l.77.772A7 7 0 0 1 8 13.5C3 13.5 0 8 0 8s.939-1.721 2.641-3.238l.708.709zm10.296 8.884-12-12 .708-.708 12 12z'/%3E%3C/svg%3E");
    transition: opacity .15s ease;
}

    .password-eye.visible {
        /* oko w kolorze primary */
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23F9A826'%3E%3Cpath d='M16 8s-3-5.5-8-5.5S0 8 0 8s3 5.5 8 5.5S16 8 16 8M1.173 8a13 13 0 0 1 1.66-2.043C4.12 4.668 5.88 3.5 8 3.5s3.879 1.168 5.168 2.457A13 13 0 0 1 14.828 8q-.086.13-.195.288c-.335.48-.83 1.12-1.465 1.755C11.879 11.332 10.119 12.5 8 12.5s-3.879-1.168-5.168-2.457A13 13 0 0 1 1.172 8z'/%3E%3Cpath d='M8 5.5a2.5 2.5 0 1 0 0 5 2.5 2.5 0 0 0 0-5M4.5 8a3.5 3.5 0 1 1 7 0 3.5 3.5 0 0 1-7 0'/%3E%3C/svg%3E");
    }


/*    OKNO PO WYLOGOWANIU */

.modal-logout {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0,0,0,0.5);
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
}
    .modal-logout p {
        margin: 0;
        padding: 0;
    }

.modal-logout-content {
    background: #fff;
    padding: 2rem;
    border-radius: 8px;
    width: 500px;
    min-height: 180px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.2);
    text-align: center;
    align-items: center;
}

.modal-header {
    position: relative;
    padding: 0 0 7px 0;
    margin-top: -1.5rem
}

.modal-title {
    font-size: 17px;
    position: relative;
    margin: 5px 0 5px;
}

.modal-logout-text-frame {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 25px;
}

.modal-logout-text {
    font-size: 15px;
    margin: 0;
    color: var(--text-color-dark);
}

.button-przelogowanie {
    user-select: none;
    font-size: 15px;
    color: var(--button-text-color);
    background-color: var(--button-background-color);
    width: 50%;
    margin: 0 auto 10px;
    padding: 5px;
    justify-content: center;
    border: none;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.20);
    transition: var(--button-background-color-transition);
    align-items: end;
}
    .button-przelogowanie:hover {
        background-color: var(--primary-color-hover);
    }
    .button-przelogowanie:focus {
        box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem var(--primary-color-hover);
    }


/*    HISTORIA    */

.historia-header {
    user-select: none;
    color: var(--text-color-dark);
    font-size: 24px;
    text-align: center;
    margin: 30px 0px 10px;
}

.table-container {
    user-select: none;
    width: 100%;
    margin: 0px 0px 50px 0px;
    transition: box-shadow 0.3s ease-in-out;
    border: 1px solid #ddd;
}
    .table-container:hover {
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
    }

.expandable-table {
    color: var(--text-color-dark);
    width: 100%;
    border-collapse: collapse;
}
    .expandable-table th, .expandable-table td {
        font-size: 13px;
        font-weight: normal;
        border-bottom: 1px solid #ddd;
        padding: 15px;
        text-align: left;
        word-break: keep-all;
        overflow-wrap: normal;
        white-space: normal;
    }
    .expandable-table .col1, .col2, .col3, .col4, .col5 {
        width: 20%;
    }
    .expandable-table th {
        color: var(--text-color-dark);
        font-weight: normal;
        background-color: #eee;
    }
    .expandable-table tr.parent {
        background-color: var(--historia-parent-background-color);
    }
        .expandable-table tr.parent:hover {
            background-color: #ddd;
        }
    .expandable-table tr.child {
        display: none;
    }
        .expandable-table tr.child.active {
            color: var(--text-color-dark);
            line-height: 1.6;
            display: table-row;
            word-break: keep-all;
            overflow-wrap: normal;
            white-space: normal;
        }

    .expandable-table .word-break {
        word-break: keep-all;
        overflow-wrap: normal;
        white-space: normal;
    }


.parent .word-break {
    word-break: keep-all;
    overflow-wrap: normal;
    white-space: normal;
}

.child .word-break {
    word-break: keep-all;
    overflow-wrap: normal;
    white-space: normal;
}

    .expandable-table .arrow {
        display: inline-block;
        width: 0;
        height: 0;
        margin-left: 5px;
        vertical-align: middle;
        border-left: 5px solid transparent;
        border-right: 5px solid transparent;
        border-top: 5px solid #999;
        transition: transform 0.2s ease-in-out;
    }
    .expandable-table tr.parent.expanded .arrow {
        transform: rotate(180deg);
    }
    .expandable-table .arrow-move {
        margin-left: 30%;
    }
    .expandable-table .status-nowy {
        color: var(--text-color-light);
        padding: 5px;
        text-align: center;
        display: inline-block;
        width: 100%;
        min-width: fit-content;
        border-radius: 20px;
        animation: pulse 1s 5;
        background-color: #03a9f4;
    }
    .expandable-table .status-nowy-zlozony {
        color: #03a9f4;
        padding: 5px;
        text-align: center;
        display: inline-block;
        width: 100%;
        min-width: fit-content;
        border-radius: 20px;
        border: 1px solid #03a9f4;
        background-color: transparent;
    }

.pliki {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.dokument-pliki {
    list-style-type: none;
    margin-top: 2px
}

.dokument-pliki-background {
    background: var(--primary-color-form);
    border-radius: 5px;
    overflow: hidden;
    padding: 10px;
    margin: 5px;
}

.dokument-pliki-lista {
    font-size: 13px;
    color: var(--text-color-dark);
    margin: 0;
    text-align: left;
}

.modal-overlay {
    position: fixed;
    background: rgba(0,0,0,0.1);
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal-content {
    background: #fff;
    padding: 2rem;
    border-radius: 8px;
    max-width: 350px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.2);
    text-align: center;
    align-items: center;
    position: relative;
}

.modal-text {
    font-size: 14px;
    color: var(--text-color-dark);
    margin: 15px auto 25px;
}

.modal-buttons {
    display: flex;
    flex-direction: row;
    gap: 1rem;
}

.modal-btn-tak {
    user-select: none;
    font-size: 15px;
    color: var(--text-color-light);
    background-color: var(--primary-color);
    width: 90px;
    height: 35px;
    justify-content: center;
    border: none;
    border-radius: var(--border-radius-box);
    overflow: hidden;
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.20);
    transition: var(--button-background-color-transition);
    align-items: end;
}
    .modal-btn-tak:hover {
        background-color: var(--primary-color-hover);
    }
    .modal-btn-tak:focus {
        box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem var(--primary-color-hover);
    }

.modal-btn-nie {
    user-select: none;
    font-size: 15px;
    color: var(--primary-color);
    background-color: var(--button-text-color);
    width: 90px;
    height: 35px;
    padding: 5px;
    justify-content: center;
    border: none;
    border-radius: var(--border-radius-box);
    overflow: hidden;
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.20);
    transition: var(--button-background-color-transition);
    align-items: end;
}
    .modal-btn-nie:hover {
        background-color: var(--primary-color-form);
    }
    .modal-btn-nie:focus {
        box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem var(--primary-color-form);
    }

.btn-close:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem var(--primary-color);
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.05);
    }
    100% {
        transform: scale(1);
    }
}

/* BUTTONS */

.price {
    user-select: none;
    font-size: 18px;
    color: var(--button-text-color);
    background-color: var(--button-background-color);
    width: 45%;
    margin: 25px auto 15px;
    padding: 6px 10px 9px ;
    justify-content: center;
    border: none;
    border-radius: var(--border-radius-box);
    overflow: hidden;
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.20);
    transition: var(--button-background-color-transition);
    align-items: end;
}
    .price:hover {
        background-color: var(--primary-color-hover);
    }
    .price:focus {
        box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem var(--primary-color-hover);
    }

.submitt {
    user-select: none;
    font-size: 18px;
    color: var(--button-text-color);
    background-color: var(--button-background-color);
    width: 60%;
    margin: 10px auto;
    padding: 6px 10px 9px;
    justify-content: center;
    border: none;
    border-radius: var(--border-radius-box);
    overflow: hidden;
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.20);
    transition: var(--button-background-color-transition);
    align-items: end;
}
    .submitt:hover {
        background-color: var(--primary-color-hover);
    }
    .submitt:focus {
        box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem var(--primary-color-hover);
    }

.pay {
    user-select: none;
    font-size: 13px;
    color: var(--text-color-light);
    background-color: var(--primary-color);
    border: none;
    padding: 5px;
    text-align: center;
    cursor: pointer;
    border-radius: 20px;
    overflow: hidden;
    width: 100%;
    transition: var(--button-background-color-transition);
}
    .pay:hover {
        background-color: var(--primary-color-hover);
    }
    .pay:focus {
        box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem var(--primary-color-hover);
    }

.uniewaznij {
    user-select: none;
    font-size: 13px;
    color: var(--text-color-light);
    background-color: var(--primary-color);
    border: none;
    margin-top: 10px;
    padding: 5px;
    text-align: center;
    cursor: pointer;
    border-radius: 20px;
    overflow: hidden;
    width: 100%;
    transition: var(--button-background-color-transition);
    word-break: keep-all;
    overflow-wrap: normal;
    white-space: normal;
}
    .uniewaznij:hover {
        background-color: var(--primary-color-hover);
    }
    .uniewaznij:focus {
        box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem var(--primary-color-hover);
    }

/* do usunięcia */

.button-oplac {
    font-size: 13px;
    font-weight: bold;
    color: var(--text-color-light);
    border: none;
    padding: 5px 0 7px;
    text-align: center;
    cursor: pointer;
    border-radius: 10px;
    overflow: hidden;
    width: 70%;
    transition: var(--button-background-color-transition);
}
    .button-oplac:hover {
        background-color: var(--primary-color-hover);
    }

/*  STRONA GŁÓWNA  */

.ribbon-header {
    user-select: none;
    background-color: var(--primary-color);
    color: var(--ribon-font-color);
    text-align: center;
    padding: 10px;
    width: 100%;
    margin-top: -1.1rem;
}
    .ribbon-header h1, h2 {
        text-transform: uppercase;
    }
    .ribbon-header h1 {
        font-size: 28px;
        margin: 0 25px 8px;
    }
    .ribbon-header h2 {
        font-size: 16px;
        margin: 8px 25px 5px;
    }

.main-container {
    display: flex;
    justify-content: center;
    gap: var(--gap-box);
    flex-flow: row wrap;
    margin: 15px 0px;
}

.store-box-abonament {
    user-select: none;
    border: 1px solid #ccc;
    padding: 20px 10px;
    text-align: center;
    width: 24%;
    min-width: 380px;
    transition: box-shadow 0.3s ease-in-out;
    display: flex;
    flex-direction: column;
    position: relative;
}
    .store-box-abonament:hover {
        box-shadow: var(--shadow-store-box-hover);
    }
    .store-box-abonament h {
        font-size: 20px;
        color: var(--text-color-dark);
        margin: 5px;
        text-transform: uppercase;
    }
    .store-box-abonament p {
        font-size: 14px;
        color: var(--text-color-dark);
        padding: 0 10px;
    }

.map-hover {
    margin: 5px auto 10px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
    position: relative;
    display: inline-block;
}
    .map-hover img {
        width: 100%;
        cursor: pointer;
        transition: opacity 0.3s ease-in-out;
        position: relative;
        z-index: 0;
    }
    .map-hover .map-hover-text {
        display: flex;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        justify-content: center;
        align-items: center;
        text-align: center;
        font-size: 16px;
        font-weight: bold;
        color: var(--text-color-light);
        z-index: 2;
        pointer-events: none;
        opacity: 0;
        background-color: rgba(246, 161, 45, 0.95);
    }
    .map-hover img:hover + .map-hover-text {
        display: flex;
        transition: opacity 0.3s ease-in-out;
        opacity: 1;
    }

.store-box-abonament .opis {
    line-height: 1.5;
    margin: 10px 0;
}

.store-box-abonament .mapa-mobile-opis {
    display: none;
    font-size: 14px;
    font-weight: 600;
    color: var(--primary-color);
    margin: 10px 0;
}

.store-box-abonament .group-abonament-img-opis {
    margin-top: 10px;
    height: 400px;
}

.store-box-abonament .opis-cena {
    font-size: 28px;
    color: var(--text-color-dark);
    font-weight: bold;
    margin: 0;
    justify-content: center;
}

.store-box-abonament .opis-koszt {
    font-size: 14px;
    color: var(--text-color-dark);
    font-weight: normal;
    margin: 0;
    justify-content: center;
}

.ribbon-info {
    user-select: none;
    font-size: 16px;
    color: var(--ribon-font-color);
    background-color: var(--primary-color);
    font-weight: bold;
    text-align: center;
    padding: 20px;
    margin-top: 15px;
    text-transform: uppercase;
    animation: pulse2 1.5s 3;
}

@keyframes pulse2 {
    0% {
        color: var(--text-color-dark);
    }
    50% {
        color: var(--primary-color);
    }
    100% {
        color: var(--text-color-dark);
    }
}

.message-container {
    user-select: none;
    background-color: #f0f0f0;
    flex-grow: 1;
    padding: 15px;
    margin-top: 15px;
    border-radius: var(--border-radius-box);
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: var(--gap-box);
}

.message-box {
    font-size: 14px;
    color: var(--text-color-dark);
    padding: 15px;
    border: var(--border-box);
    border-radius: var(--border-radius-box);
    background-color: var(--text-background-color-light);
}
    .message-box a {
        font-weight: bold;
        text-decoration: none;
        color: var(--text-color-dark);
    }
        .message-box a:hover {
            color: var(--primary-color);
        }

.legal-text {
    user-select: none;
    font-size: 11px;
    color: var(--text-color-dark);
    background-color: var(--text-background-color-light);
    padding: 5px;
    margin-top: 10px;
    text-align: center;
}

.footer {
    user-select: none;
    font-size: 13px;
    color: var(--text-color-light);
    background-color: #404040;
    text-align: center;
    justify-content: center;
    padding: 10px;
    line-height: 1.6;
}
    .footer a {
        color: var(--text-color-light);
        text-decoration: none;
    }
        .footer a:hover {
            color: var(--primary-color);
        }


/*  BOX - OPIS ABONAMENTU - SKŁADANIE ZAMÓWIENIA  */

.store-box-abonament-opis {
    user-select: none;
    background-color: var(--order-background-color);
    text-align: center;
    padding: 16px;
    width: 25%;
    min-width: 380px;
    transition: box-shadow 0.3s ease-in-out;
    display: flex;
    flex-direction: column;
    border: 1px solid #ccc;
}
    .store-box-abonament-opis:hover {
        box-shadow: var(--shadow-store-box-hover);
    }
    .store-box-abonament-opis h {
        font-size: var(--order-header-size);
        margin: 5px;
        text-transform: uppercase;
    }
    .store-box-abonament-opis p {
        font-size: 14px;
        padding: 0 10px;
        color: var(--text-color-dark);
    }
    .store-box-abonament-opis .opis-cena {
        font-size: 28px;
        font-weight: bold;
        margin: 0px;
        margin-top: 0px;
        margin-bottom: 0px;
        justify-content: center;
        padding: 0px;
    }

    .store-box-abonament-opis .opis-koszt {
        font-size: 14px;
        font-weight: normal;
        margin: 0;
        justify-content: center;
        padding: 0px;
    }

    .store-box-abonament-opis .opis {
        height: 110px;
        margin: 5px 0 10px 0;
    }


/*  BOX - UZUPEŁNIJ DANE - SKŁADANIE ZAMÓWIENIA  */

.store-box-uzupelnij-dane {
    user-select: none;
    background-color: var(--order-background-color);
    text-align: center;
    padding: 16px;
    width: 25%;
    min-width: 450px;
    border: 1px solid #ccc;
    transition: box-shadow 0.3s ease-in-out;
    display: flex;
    flex-direction: column;
}

    .store-box-uzupelnij-dane:hover {
        box-shadow: var(--shadow-store-box-hover);
    }

    .store-box-uzupelnij-dane img {
        width: 100%;
        margin: 5px auto 10px;
        box-shadow: 0 2px 2px rgba(0,0,0,0.1);
        cursor: pointer;
    }

    .store-box-uzupelnij-dane h {
        font-size: var(--order-header-size);
        margin: 5px;
        text-transform: uppercase;
    }

    .store-box-uzupelnij-dane p {
        font-size: 14px;
        color: var(--text-color-dark);
    }

.group-stan-prawny {
    height: 80px;
    width: 60%;
    min-width: 400px;
    margin: 5px auto 0;
}

.group-rejestracja-potwierdzenie {
    height: 190px;
    width: 60%;
    min-width: 400px;
    margin: 10px auto 0;
}

.komunikat-err {
    color: red;
    font-size: 12px;
    text-align: left;
    margin: 2px auto 0;
    animation: blink 1.5s 3;
    word-break: keep-all;
    overflow-wrap: normal;
    white-space: normal;
}

@keyframes blink {
    0% {
        color: red;
    }
    50% {
        color: white;
    }
    100% {
        color: red;
    }
}


/*  ZMIANY PÓL FORMULARZA  */

.form-floating-chg-top {
    margin: 0 auto;
    background-color: var(--primary-color-form);
    text-align: center;
}

.form-floating-chg-bottom {
    margin: 10px auto 0;
    background-color: var(--primary-color-form);
    text-align: center;
}

.form-floating-label {
    font-size: 12px;
    color: var(--text-color-dark);
    padding-left: 12px;
    justify-items: center;
}

.form-floating:disabled {
    background-color: var(--text-background-color-light);
}

.form-floating::placeholder {
    font-size: 14px;
    text-transform: none;
}

.form-control-mychanges {
    background-color: var(--primary-color-form);
    text-align: center;
    text-transform: uppercase;
}

.form-control::placeholder {
    font-size: 14px;
    text-transform: none;
}

.form-control:disabled {
    background-color: var(--text-background-color-light);
}

.form-control-chg {
    background-color: var(--primary-color-form);
    text-align: center;
    text-transform: uppercase;
}

.form-control-bc {
    background-color: var(--primary-color-form);
}

.form-control-chg-w, .form-select-chg-w {
    margin-left: auto;
    margin-right: auto;
}

.form-control-max-width {
    max-width: 689px;
    margin-left: auto;
    margin-right: auto;
}

.form-select-background-color {
    background-color: var(--primary-color-form);
}

.form-select-chg {
    background-color: var(--primary-color-form);
    text-align: center;
}

.form-select-chg-h {
    height: 40px;
}

.form-lbl {
    font-size: 14px;
    color: var(--text-color-dark);
    margin-top: 10px;
    margin-bottom: 3px;
}

.form-spacing {
    margin-bottom: 2px
}


/*  BOX - OPIS STANÓW PRAWNYCH - SKŁADANIE ZAMÓWIENIA  */

.store-box-stany-prawne-opis {
    user-select: none;
    background-color: var(--order-background-color);
    border: 1px solid #ccc;
    padding: 16px;
    text-align: center;
    width: 25%;
    min-width: 480px;
    transition: box-shadow 0.3s ease-in-out;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

    .store-box-stany-prawne-opis:hover {
        box-shadow: var(--shadow-store-box-hover);
    }

    .store-box-stany-prawne-opis h {
        font-size: var(--order-header-size);
        margin: 5px;
        text-transform: uppercase;
    }

    .store-box-stany-prawne-opis p {
        font-size: 14px;
        color: var(--text-color-dark);
        text-align: left;
        padding: 20px 10px 10px;
        text-align: left;
    }


/*  BOX - PRZEŚLIJ DOKUMENTY  */

.store-box-przeslij-dokumenty {
    user-select: none;
    background-color: var(--order-background-color);
    border: 1px solid #ccc;
    padding: 16px;
    text-align: center;
    width: 100%;
    margin-top: 15px;
    margin-bottom: 15px;
    display: flex;
    flex-direction: column;
    transition: var(--transition-box);
}

    .store-box-przeslij-dokumenty:hover {
        box-shadow: var(--shadow-store-box-hover);
    }

    .store-box-przeslij-dokumenty h {
        font-size: var(--order-header-size);
        margin: 5px;
        text-transform: uppercase;
    }

    .store-box-przeslij-dokumenty p {
        font-size: 14px;
        color: var(--text-color-dark);
    }

    .store-box-przeslij-dokumenty .files-upload-frame {
        background-color: white;
        border: 1px solid #ccc;
        width: 25%;
        min-width: 400px;
        margin-top: 0px;
        align-items: center;
        padding: 0px
    }

    .store-box-przeslij-dokumenty .upload-document-name {
        font-size: 14px;
        color: var(--text-color-dark);
        background-color: white;
        text-align: center;
        padding: 7px;
    }

    .store-box-przeslij-dokumenty .upl-files-button {
        color: var(--text-color-light);
        background-color: var(--primary-color);
        cursor: pointer;
        justify-content: center;
        align-items: center;
        width: 100%;
        transition: var(--button-background-color-transition);
    }

        .store-box-przeslij-dokumenty .upl-files-button:hover {
            background-color: var(--primary-color-hover);
        }

    .store-box-przeslij-dokumenty .komunikat-err {
        color: red;
        font-size: 12px;
        text-align: left;
        width: 60%;
        line-height: 1.1;
        margin: 5px auto 0;
        animation: pulse_err 1.2s 3;
    }

    .store-box-przeslij-dokumenty .upload-container {
        display: flex;
        justify-content: center;
        gap: var(--gap-box);
        flex-flow: row wrap;
        margin-top: 0px;
        margin-bottom: 5px;
    }

        .store-box-przeslij-dokumenty .upload-container .upload-liczba-plikow {
            color: var(--text-color-dark);
            font-size: 12px;
            width: 100%;
            text-align: center;
            line-height: 1.1;
            margin-bottom: 5px;
        }

        .store-box-przeslij-dokumenty .upload-container .upload-error-alert {
            color: red;
            font-size: 12px;
            width: 100%;
            text-align: center;
            line-height: 1.1;
            margin-bottom: 5px;
            animation: pulse_upload-error-alert 1.2s 3;
        }

@keyframes pulse_upload-error-alert {
    0% {
        color: red;
    }

    50% {
        color: var(--text-background-color-light);
    }

    100% {
        color: red;
    }
}

.available-space {
    font-size: 14px;
    color: var(--text-color-dark);
    margin: 0 auto 20px;
    width: 52%;
    min-width: 300px;
    border: none;
    padding: 10px;
    text-align: center;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    overflow: hidden;
}

.progress {
    margin: 10px auto;
    height: 16px;
}


/*---------- UPLOAD_NOWY ----------*/

.drop-zone {
    padding-bottom: 5px;
}

.upl-files-button-label {
    padding: 12px;
    width: 100%;
    cursor: pointer;
}

.prg-filename-lbl {
    color: var(--text-color-dark);
    font-size: 12px;
    margin-top: 5px;
    margin-bottom: 2px;
}

.prg-w95 {
    width: 95%;
    margin-left: auto;
    margin-right: auto;
}

.dotted-box {
    font-size: 12px;
    color: var(--text-color-dark);
    background-color: white;
    height: 90px;
    margin: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    border: dotted 2px var(--primary-color);
}

.filelist-header {
    font-size: 13px;
    width: 95%;
    margin: 0px 8px 5px;
    color: var(--text-color-dark);
    padding-bottom: 2px;
    border-bottom: 1px solid #ebebeb;
}

.file-delete-section {
    width: 370px;
    margin: 0 auto 8px;
    height: auto;
    display: flex;
    border-radius: var(--border-radius-box);
    overflow: hidden;
    box-shadow: 0 2px 4px rgba(0,0,0,0.08);
}

    .file-delete-section .filename {
        font-size: 12px;
        color: var(--text-color-dark);
        background-color: var(--primary-color-form);
        width: 320px;
        padding: 8px;
        word-break: break-all;
        text-align: left;
        display: flex;
        align-items: center;
    }

    .file-delete-section .delete-file-button {
        width: 50px;
        background: var(--text-background-color-light);
        border: none;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        transition: background 0.4s cubic-bezier(0.4,0,0.2,1);
    }

        .file-delete-section .delete-file-button:hover {
            background: #f44336 !important;
        }

            .file-delete-section .delete-file-button:hover .trash-icon {
                fill: #fff !important;
                transition: fill 0.4s cubic-bezier(0.4,0,0.2,1);
                animation: shake 0.4s;
                animation-iteration-count: 1;
            }

@keyframes shake {
    0% {
        transform: translateX(0);
    }

    20% {
        transform: translateX(-6px);
    }

    40% {
        transform: translateX(6px);
    }

    60% {
        transform: translateX(-6px);
    }

    80% {
        transform: translateX(6px);
    }

    100% {
        transform: translateX(0);
    }
}

.file-delete-section .delete-file-button:focus {
    outline: none;
}

.delete-files-button {
    font-size: 12px;
    color: var(--delete-color);
    font-weight: normal;
    font-display: auto;
    background-color: var(--text-background-color-light);
    width: 370px;
    margin: 10px auto 20px auto;
    padding: 8px;
    text-align: center;
    border: 1px dotted var(--delete-color);
    cursor: pointer;
    border-radius: var(--border-radius-box);
    transition: 0.3s ease-in-out;
}

    .delete-files-button:hover {
        color: var(--text-color-light);
        background-color: #f44336;
        box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2);
    }

        .delete-files-button:hover span {
            display: none;
        }

        .delete-files-button:hover:before {
            font-weight: bold;
            content: "USUWAM WSZYSTKIE PLIKI";
        }


/*  BOX - SKŁADAM WNIOSEK  */

.store-box-skladam-wniosek {
    user-select: none;
    background-color: var(--order-background-color);
    border: 1px solid #ccc;
    padding: 16px;
    text-align: center;
    width: 100%;
    margin: 15px auto;
    display: flex;
    flex-direction: column;
    transition: var(--transition-box);
}

    .store-box-skladam-wniosek:hover {
        box-shadow: var(--shadow-store-box-hover);
    }

    .store-box-skladam-wniosek p {
        font-size: 14px;
        color: var(--text-color-dark);
    }


/*  BOX - DOLNE KOMUNIKATY  */

.alert-box {
    border: var(--border-box);
    padding: 16px;
    text-align: center;
    width: 100%;
    transition: var(--transition-box);
}

    .alert-box:hover {
        box-shadow: var(--shadow-store-box-hover);
    }

.bottom-alert {
    user-select: none;
    font-size: 16px;
    text-align: center;
    background-color: var(--alert-red);
    border: 1px solid #ccc;
    border-radius: var(--border-radius-box);
    padding: 10px;
    width: 100%;
    margin: auto auto 5px;
    text-transform: uppercase;
}

.blue {
    background-color: var(--alert-blue);
}

.red {
    background-color: var(--alert-red);
}


/*  ZMIANY DO SEKCJI LOGOWANIE */

.darker-border-checkbox.form-check-input:checked {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

.konto-naglowek {
    font-size: 16px;
    font-weight: 500;
    color: var(--text-color-dark);
    margin: 5px 5px 2px;
}


/*  RESPONSYWNOŚĆ  */
@media (max-width: 768px) {
    
    .store-box-abonament {
        width: 100%;
        min-width: 200px;
    }
        
        .store-box-abonament img {
            width: 75%;
        }

        .store-box-abonament h {
            font-size: 22px;
        }

        .store-box-abonament p {
            font-size: 14px;
        }

        .store-box-abonament .opis-cena {
            font-size: 30px;
        }

        .store-box-abonament .opis-koszt {
            font-size: 14px;
        }

        .store-box-abonament .group-abonament-img-opis {
            margin-bottom: 20px;
            height: auto;
        }

        .store-box-abonament .mapa-mobile-opis {
            display: block;
        }

    .price {
        font-size: 18px;
        width: 60%;
    }

    .submitt {
        width: 90%;
    }

    .store-box-abonament-opis {
        width: 100%;
        min-width: 200px;
    }

        .store-box-abonament-opis img {
            display: none;
        }

        .store-box-abonament-opis .opis {
            display: none;
        }

    .ribbon-header {
        width: 100%;
    }

    .ribbon-info {
        font-size: 14px;
    }

    .ribbon-header h1 {
        font-size: 22px;
    }

    .ribbon-header h2 {
        font-size: 14px;
        margin: 8px 25px 5px;
    }

    .form-control-max-width {
        max-width: 300px;
    }

    .store-box-stany-prawne-opis p {
        font-size: 14px;
    }

    .expandable-table th, .expandable-table td {
        font-size: 10px;
        font-weight: normal;
        word-break: break-all;
        border-bottom: 1px solid #ddd;
        padding: 5px;
        text-align: left;
    }

    .status-nowy, .status-zatwierdzony, .status-zlozony, .status-zatwierdzony, .status-zrealizowany, .status-odrzucony, .status-anulowany {
        padding: 3px 5px 3px 5px;
        width: 100%;
        min-width: fit-content;
        border-radius: 10px;
        word-break: keep-all;
        overflow-wrap: normal;
        white-space: normal;
    }

    .uniewaznij {
        font-size: 10px;
        border-radius: 5px;
    }

    .pay {
        font-size: 10px;
        padding-top: 10px 0 10px 0;
        padding: 4px;
        border-radius: 5px;
        overflow: hidden;
        width: 100%;
        transition: var(--button-background-color-transition);
    }

        .pay:hover {
            background-color: var(--primary-color-hover);
        }

    .message-container {
        grid-template-columns: 1fr;
        flex-grow: 1;
        font-size: 0.7em;
        padding: 8px;
    }

    .message-box {
        font-size: 13px;
        padding: 14px;
    }

    .store-container {
        width: 100%;
    }

    .legal-text {
        font-size: 10px
    }

    .footer a {
        font-size: 10px;
    }

    .store-box-uzupelnij-dane {
        min-width: 200px;
        width: 100%;
    }

    .group-stan-prawny {
        width: 100%;
        min-width: 250px;
        margin: 5px auto 0 auto;
    }

    .group-rejestracja-potwierdzenie {
        width: 100%;
        min-width: 250px;
        margin: 10px auto 0 auto;
    }

    .store-box-stany-prawne-opis {
        min-width: 200px;
        width: 100%;
    }

    .available-space {
        font-size: 13px;
        margin: 0 auto 20px;
        width: 100%;
        min-width: 200px;
    }

    .file-delete-section {
        width: 90%;
    }

        .file-delete-section .filename {
            width: 100%;
        }

        .file-delete-section .delete-file-button {
            width: 50px;
        }

    .store-box-przeslij-dokumenty .files-upload-frame {
        width: 100%;
        min-width: 200px;
    }

    .delete-files-button {
        width: 90%;
    }

    .form-control-max-width {
        max-width: 100%;
    }

    .dokument-pliki-lista {
        font-size: 10px;
    }

    .modal-logout-content {
        width: 300px;
    }

}
